summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVolkmar W. Pogatzki <gentoo@pogatzki.net>2023-04-19 11:49:01 +0200
committerSam James <sam@gentoo.org>2023-05-26 11:24:07 +0100
commit39579985ee4ff0962e11a0c7e293072c709d2ec5 (patch)
treed9d3250ee1824bb9de4379da82e8745ea257e133
parentdev-java/freenet-ext: new package, add 29 (diff)
downloadgentoo-39579985ee4ff0962e11a0c7e293072c709d2ec5.tar.gz
gentoo-39579985ee4ff0962e11a0c7e293072c709d2ec5.tar.bz2
gentoo-39579985ee4ff0962e11a0c7e293072c709d2ec5.zip
sec-keys/openpgp-keys-freenet: new package, add 20230419
Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net> Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--sec-keys/openpgp-keys-freenet/Manifest1
-rw-r--r--sec-keys/openpgp-keys-freenet/metadata.xml8
-rw-r--r--sec-keys/openpgp-keys-freenet/openpgp-keys-freenet-20230419.ebuild20
3 files changed, 29 insertions, 0 deletions
diff --git a/sec-keys/openpgp-keys-freenet/Manifest b/sec-keys/openpgp-keys-freenet/Manifest
new file mode 100644
index 000000000000..e17459b4954d
--- /dev/null
+++ b/sec-keys/openpgp-keys-freenet/Manifest
@@ -0,0 +1 @@
+DIST openpgp-keys-freenet-20230419-keyring.gpg 148560 BLAKE2B 9d2255021c5a3549198d0ed67578f520b2caea8089a4e065300505bbc9d7d825b18b710e3fe6b7995c1e0ee3e6a8c4ba7338ef0b560f2aaeb2e5b4e25e37d958 SHA512 5ca38be9780e799b7e5995e148bd67f4ca821242854492bb60e6c616d20dd2b61d4de597327d2de1570fc0663dec94caa8769ce9a8df1bb82c5cb859c91457f2
diff --git a/sec-keys/openpgp-keys-freenet/metadata.xml b/sec-keys/openpgp-keys-freenet/metadata.xml
new file mode 100644
index 000000000000..6ef2d50cf07e
--- /dev/null
+++ b/sec-keys/openpgp-keys-freenet/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>java@gentoo.org</email>
+ <name>Java</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sec-keys/openpgp-keys-freenet/openpgp-keys-freenet-20230419.ebuild b/sec-keys/openpgp-keys-freenet/openpgp-keys-freenet-20230419.ebuild
new file mode 100644
index 000000000000..55f3b66c09f0
--- /dev/null
+++ b/sec-keys/openpgp-keys-freenet/openpgp-keys-freenet-20230419.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="OpenPGP keys used by freenetproject.org"
+HOMEPAGE="https://freenetproject.org/pages/download.html"
+SRC_URI="https://freenetproject.org/assets/keyring.gpg -> ${P}-keyring.gpg"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 ~x86"
+
+S="${WORKDIR}"
+
+src_install() {
+ local files=( ${A} )
+ insinto /usr/share/openpgp-keys
+ newins - freenetproject.org.asc < <(cat "${files[@]/#/${DISTDIR}/}" || die)
+}